# InfoBoxViewModel

#### new Cesium.InfoBoxViewModel()
Widgets/InfoBox/InfoBoxViewModel.js 15

The view model for `InfoBox`.

### Members

#### cameraClicked : Event
Widgets/InfoBox/InfoBoxViewModel.js 92

Gets an `Event` that is fired when the user clicks the camera icon.

#### cameraIconPath : String
Widgets/InfoBox/InfoBoxViewModel.js 63

Gets the SVG path of the camera icon, which can change to be "crossed out" or not.

#### closeClicked : Event
Widgets/InfoBox/InfoBoxViewModel.js 102

Gets an `Event` that is fired when the user closes the info box.

#### description : String
Widgets/InfoBox/InfoBoxViewModel.js 53

Gets or sets the description HTML for the info box.

#### enableCamera : Boolean
Widgets/InfoBox/InfoBoxViewModel.js 29

Gets or sets whether the camera tracking icon is enabled.

#### isCameraTracking : Boolean
Widgets/InfoBox/InfoBoxViewModel.js 35

Gets or sets the status of current camera tracking of the selected object.

#### maxHeight : Number
Widgets/InfoBox/InfoBoxViewModel.js 23

Gets or sets the maximum height of the info box in pixels. This property is observable.

#### showInfo : Boolean
Widgets/InfoBox/InfoBoxViewModel.js 41

Gets or sets the visibility of the info box.

#### titleText : String
Widgets/InfoBox/InfoBoxViewModel.js 47

Gets or sets the title text in the info box.

### Methods

#### maxHeightOffset(offset) → String
Widgets/InfoBox/InfoBoxViewModel.js 82

Gets the maximum height of sections within the info box, minus an offset, in CSS-ready form.

Name | Type | Description
--- | --- | ---
`offset` | Number | The offset in pixels.

##### Returns: